/***************************************************************************
 *   Copyright (C) 2007 by    *
 *      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef okintck_sfel01_01_H
#define okintck_sfel01_01_H

#include "ui_okintck_sfel01_01.h"
#include <tango.h>
#include <QProcess>
#include <QSettings>

class okintck_sfel01_01: public QWidget
{
    Q_OBJECT

public:
    okintck_sfel01_01(QWidget * =NULL);
    ~okintck_sfel01_01();

	// resize data structure
	struct w_buffer {
		QWidget *w;
		QFont font;
		double x, y, width, height;
	};
	vector<w_buffer> ws_buffer;
	void resizeEvent( QResizeEvent * event );

public slots:

private:
    Ui::okintck_sfel01_01 ui;
    QString imgpath;
};


#endif
